ALSA project - the C library reference

Loading...
Searching...
No Matches
Functions
dlmisc.c File Reference

dynamic loader helpers More...

## Functions
int | snd_dlpath (char *path, size_t path_len, const char *name)
| Compose the dynamic path.
void * | snd_dlopen (const char *name, int mode, char *errbuf, size_t errbuflen)
| Opens a dynamic library - ALSA wrapper for `dlopen`.
int | snd_dlclose (void *handle)
| Closes a dynamic library - ALSA wrapper for `dlclose`.
void * | snd_dlsym (void *handle, const char *name, const char *version)
| Resolves a symbol from a dynamic library - ALSA wrapper for `dlsym`.

## Detailed Description

dynamic loader helpers

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2001

Dynamic loader helpers